commit: b65c2a2950c3ad8d1846bd7a2f7fe1154d3d9875
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 26 18:33:35 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Oct 26 18:42:39 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b65c2a29
dev-python/numexpr: add 2.8.4
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/numexpr/Manifest | 1 +
dev-python/numexpr/numexpr-2.8.4.ebuild | 34 +++++++++++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-python/numexpr/Manifest b/dev-python/numexpr/Manifest
index 634719c086b6..b11c845fb9a4 100644
--- a/dev-python/numexpr/Manifest
+++ b/dev-python/numexpr/Manifest
@@ -1 +1,2 @@
DIST numexpr-2.8.3.gh.tar.gz 112551 BLAKE2B
c433e27dafe14e0760cd825992a4dcf3e35ae7a32c1bb768c6f5632e8505be5b10dc08a89c97836f019e53d77cf4aa811cc0822832d605934e35ae93e1cbb661
SHA512
4753159f8247ed18dba01d4db21e8e0a149a253cfc064719c9ccdcdd779d109aca64d2306820d912c274b5b6037a9dc849285ef015fec1e1dc9f0c8bad246393
+DIST numexpr-2.8.4.gh.tar.gz 113594 BLAKE2B
65756e3a0755cd69b8586501d5026dc355f5263f852fedc4f59ecd1854576929bff702cc603c53c7230a5a0ad034a56c50db0bf2fbc2174b3f5272d3a03ffdc0
SHA512
e0a4eacb1a8721b9c2b4331f21e460fc3a1740a6a156eb43b31c495b17e191508f6d72375b8bd286a9be66ceaa1353f64f894deda0b4b29c3ac48c5b7c67cfa1
diff --git a/dev-python/numexpr/numexpr-2.8.4.ebuild
b/dev-python/numexpr/numexpr-2.8.4.ebuild
new file mode 100644
index 000000000000..cbfed545e678
--- /dev/null
+++ b/dev-python/numexpr/numexpr-2.8.4.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Fast numerical array expression evaluator for Python and NumPy"
+HOMEPAGE="https://github.com/pydata/numexpr"
+SRC_URI="https://github.com/pydata/numexpr/archive/v${PV}.tar.gz ->
${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390
~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ >=dev-python/numpy-1.13.3[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ pushd "${BUILD_DIR}/install/usr/lib/${EPYTHON}/site-packages"
>/dev/null || die
+ "${EPYTHON}" - <<-EOF || die "Tests failed with ${EPYTHON}"
+ import sys,numexpr
+ sys.exit(0 if numexpr.test().wasSuccessful() else 1)
+ EOF
+ pushd >/dev/null || die
+}